Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon.sort
Class UppercaseFirstComparer

    java.lang.Object
      com.icl.saxon.sort.Comparer
          com.icl.saxon.sort.UppercaseFirstComparer

public class UppercaseFirstComparer
extends Comparer

A Comparer used for comparing keys

Constructor Summary
`UppercaseFirstComparer()`

Method Summary
`int` | `compare(java.lang.Object a, java.lang.Object b)` Compare two string objects: case is irrelevant, unless the strings are equal ignoring case, in which case uppercase comes first.

Methods inherited from class com.icl.saxon.sort.Comparer
`setDataType, setOrder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UppercaseFirstComparer

    public UppercaseFirstComparer()

Method Detail

### compare

    public int compare(java.lang.Object a,
                       java.lang.Object b)

  Compare two string objects: case is irrelevant, unless the strings are equal ignoring case, in which case uppercase comes first.

  Specified by:
    `compare` in class `Comparer`
  Returns:
    <0 if a0 if a>b
  Throws:
    `java.lang.ClassCastException` - if the objects are of the wrong type for this Comparer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD